package CRSDK;

@SuppressWarnings("unused")
public enum CrZoomTypeStatus {
    CrZoomTypeStatus_OpticalZoom(0x01),
    CrZoomTypeStatus_SmartZoom (CrZoomTypeStatus_OpticalZoom.getValue()+1),
    CrZoomTypeStatus_ClearImageZoom (CrZoomTypeStatus_OpticalZoom.getValue()+2),
    CrZoomTypeStatus_DigitalZoom (CrZoomTypeStatus_OpticalZoom.getValue()+3);

    private final CrInt8u value;
    CrZoomTypeStatus(int value) {
        this.value = new CrInt8u(value);
    }
    public int getValue() {
        return value.intValue();
    }
}
